<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~align_confirm.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
tr.highlight
{
	border-top: 1px dotted #A0A0A0;
}

.dottedleft
{
	border-left: 1px dotted #A0A0A0;
}

.oddrow 
{
	background-color: #F0F0F0;
}

#alignedSequencesTable
{
	width: 100%; 
	border-collapse: collapse;
}

#alignedSequencesTable thead
{
	background-color: #E8E8E8;
	border-bottom: 1px solid #A0A0A0;
	border-top: 1px solid #A0A0A0;
}

#alignedSequencesTable td
{
	text-align: center;
	min-width: 4.5em;
}

#alignedSequencesTable tbody td
{
	padding-top: 1px;
	padding-bottom: 1px;
}

#alignedSequencesTable .italic
{
	font-style: italic;
}

.file-link
{
	margin-left: 0.5em;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Confirm masking and alignment ended" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-content">
			
			<div id="alignedSequences"></div>
		
		</div>
	</div>
	
		
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>